np.bartlett(12)
# array([ 0.        ,  0.18181818,  0.36363636,  0.54545455,  0.72727273,
# 0.90909091,  0.90909091,  0.72727273,  0.54545455,  0.36363636,
# 0.18181818,  0.        ])

# Plot the window and its frequency response (requires SciPy and matplotlib):

from numpy import clip, log10, array, bartlett, linspace
from numpy.fft import fft, fftshift
import matplotlib.pyplot as plt

window = bartlett(51)
plt.plot(window)
plt.title("Bartlett window")
plt.ylabel("Amplitude")
plt.xlabel("Sample")
plt.show()

plt.figure()
A = fft(window, 2048) / 25.5
mag = abs(fftshift(A))
freq = linspace(-0.5,0.5,len(A))
response = 20*log10(mag)
response = clip(response,-100,100)
plt.plot(freq, response)
plt.title("Frequency response of Blackman window")
plt.ylabel("Magnitude [dB]")
plt.xlabel("Normalized frequency [cycles per sample]")
plt.axis('tight')
plt.show()
